<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>netcoreapp3.1</TargetFramework>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|AnyCPU'">
    <DocumentationFile>YGNT.File.Application.xml</DocumentationFile>
    <NoWarn>1701;1702;1591;</NoWarn>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
    <DocumentationFile>YGNT.File.Application.xml</DocumentationFile>
    <NoWarn>1701;1702;1591;</NoWarn>
  </PropertyGroup>

  <ItemGroup>
    <Compile Remove="Controllers\**" />
    <EmbeddedResource Remove="Controllers\**" />
    <None Remove="Controllers\**" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Abp" Version="5.13.0" />
    <PackageReference Include="Abp.AspNetCore" Version="5.13.0" />
    <PackageReference Include="Abp.AutoMapper" Version="5.13.0" />
    <PackageReference Include="Microsoft.AspNetCore.Antiforgery" Version="2.2.0" />
    <PackageReference Include="Microsoft.AspNetCore.Http.Features" Version="3.1.8" />
    <PackageReference Include="Microsoft.AspNetCore.Mvc.Core" Version="2.2.5" />
    <PackageReference Include="Microsoft.Net.Http.Headers" Version="2.2.8" />
    <PackageReference Include="Swashbuckle.AspNetCore.Annotations" Version="5.5.1" />
    <PackageReference Include="Swashbuckle.AspNetCore.Filters" Version="6.0.0" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\YGNT.File.Core\YGNT.File.Core.csproj" />
  </ItemGroup>

  <ItemGroup>
    <None Update="YGNT.File.Application.xml">
      <CopyToOutputDirectory>Never</CopyToOutputDirectory>
    </None>
  </ItemGroup>

</Project>
